xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2007 Andrea Rossato
License | BSD-style (see xmonad/LICENSE)
Maintainer | andrea.rossato@unibz.it
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.Simplest

Contents

- Usage:

Description

A very simple layout. The simplest, afaik.

Synopsis

- data Simplest a = Simplest

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Simplest

Then edit your `layoutHook` by adding the Simplest layout:

    myLayout = Simplest ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Simplest a Source #

Constructors

Simplest |

#### Instances

Instances details

LayoutClass Simplest a Source # |

Instance details

Defined in XMonad.Layout.Simplest

Methods

runLayout :: Workspace WorkspaceId (Simplest a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (Simplest a)) Source #

doLayout :: Simplest a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (Simplest a)) Source #

pureLayout :: Simplest a -> Rectangle -> Stack a -> [(a, Rectangle)] Source #

emptyLayout :: Simplest a -> Rectangle -> X ([(a, Rectangle)], Maybe (Simplest a)) Source #

handleMessage :: Simplest a -> SomeMessage -> X (Maybe (Simplest a)) Source #

pureMessage :: Simplest a -> SomeMessage -> Maybe (Simplest a) Source #

description :: Simplest a -> String Source #

Read (Simplest a) Source # |
Instance details Defined in XMonad.Layout.Simplest Methods readsPrec :: Int -> ReadS (Simplest a) Source # readList :: ReadS [Simplest a] Source # readPrec :: ReadPrec (Simplest a) Source # readListPrec :: ReadPrec [Simplest a] Source #
Show (Simplest a) Source # |
Instance details Defined in XMonad.Layout.Simplest Methods showsPrec :: Int -> Simplest a -> ShowS Source # show :: Simplest a -> String Source # showList :: [Simplest a] -> ShowS Source #